Skip to main content
POST
/
v1
/
config
/
fee-schedules
/
{scheduleId}
/
simulate
Simulate fee calculation
curl --request POST \
  --url https://matcher.sandbox.lerian.net/v1/config/fee-schedules/{scheduleId}/simulate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "grossAmount": "100.00",
  "currency": "USD"
}
'
{
  "grossAmount": "100.00",
  "netAmount": "97.70",
  "totalFee": "2.30",
  "currency": "USD",
  "items": [
    {
      "name": "interchange",
      "fee": "1.50",
      "baseUsed": "100.00"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Headers

X-Request-Id
string

A unique identifier for tracing the request across services.

Path Parameters

scheduleId
string
required

The unique identifier of the fee schedule.

Body

application/json

Fee simulation payload

Payload for simulating fee calculation against a fee schedule

grossAmount
string
required

Gross transaction amount to simulate fees on

Example:

"100.00"

currency
string
required

Currency code (ISO 4217)

Example:

"USD"

Response

Fee simulation result

Result of a fee simulation

grossAmount
string

Original gross amount

Example:

"100.00"

netAmount
string

Amount after fees are deducted

Example:

"97.70"

totalFee
string

Total fee amount

Example:

"2.30"

currency
string

Currency code (ISO 4217)

Example:

"USD"

items
object[]

Breakdown of individual fee items

Maximum array length: 100